%KG10 uloha 2 (Urcen C20)
%RSC (rsc@email.cz)

clear %vymazani pameti
clc %smazani obrazovky

fid = 1;
fid = fopen('kg10_u02.txt','w'); %vytvoren *.txt souboru pro vystup

%--------------------------------------------------------
druz1 = 'LAGEOS-1';   %jmno druzice
d1 = nacti('d1.txt'); %soubor s daty

druz2 = 'ERS-1';
d2 = nacti('d2.txt');

druz3 = 'TOPEX/POSEIDON';
d3 = nacti('d3.txt');
%--------------------------------------------------------

fprintf(fid,'druice %s\n',druz1);
C20_1 = vypocet(d1,druz1,fid);
print -f1 -dpng -r200 'd1.png'; %export do *.png

fprintf(fid,'druice %s\n',druz2);
C20_2 = vypocet(d2,druz2,fid);
print -f1 -dpng -r200 'd2.png'; %export do *.png

fprintf(fid,'druice %s\n',druz3);
C20_3 = vypocet(d3,druz3,fid);
print -f1 -dpng -r200 'd3.png'; %export do *.png

C20 = (C20_1 + C20_2 + C20_3) / 3; %prumer
fprintf(fid,'prmrn hodnota C20 =  %12.8f\n\n\n',C20);

fclose(fid);
fprintf('\n\nCseln vsledky jsou ulozeny v souboru "kg10_u02.txt", grafy \nv souborech "d1.png", "d2.png" a "d3.png" v pracovnm adresri\n \n');